petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscTokenCreate

Creates a PetscToken used to find tokens in a string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscTokenCreate(const char a[],const char b,PetscToken *t)

Not Collective Many br

### Input Parameters

| string | - the string to look in Many br
| b | - the separator character Many br

### Output Parameter

t -the token object Many br

### Notes

This version is different from the system version in that Many brit allows you to pass a read-only string into the function. Many br

Not for use in Fortran Many br

Many br

### See Also

PetscTokenFind(), PetscTokenDestroy()

Level:intermediate
Location:src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages